'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _internalPluginMercury = require('@ciscospark/internal-plugin-mercury');

var RealtimeChannel = _internalPluginMercury.Mercury.extend({
  namespace: 'Board',

  props: {
    channelId: {
      type: 'string',
      required: true
    },
    socketUrl: {
      type: 'string'
    },
    binding: {
      type: 'string'
    }
  },

  session: {
    isSharingMercury: {
      type: 'boolean',
      default: false
    },
    socket: {
      type: 'object'
    }
  },

  send: function send(data) {
    return this.socket.send(data);
  }
}); /** !
     *
     * Copyright (c) 2015-2017 Cisco Systems, Inc. See LICENSE file.
     * @private
     */

exports.default = RealtimeChannel;
//# sourceMappingURL=realtime-channel.js.map
